#!/bin/bash
while [ -n "$1" ]; do # gestion des paramètres
	case "$1" in
    -h) echo "Script qui transforme des fichiers markdown en pdf et html avec le même style.
-k   conserve les fichiers de construction"; exit 0;;
	-k) keep=true;;
	esac
	shift
done

set -xe
IN_DIR="./input-cv-md"
OUT_DIR="./output"
STYLES_DIR="styles"
STYLE="aou"

mkdir -p $IN_DIR
mkdir -p $OUT_DIR

for f in $IN_DIR/*.md; do
    FILE_NAME=`basename $f | sed 's/.md//g'`;
    # Génère le HTML
    pandoc --standalone --css ../$STYLES_DIR/$STYLE.css \
		   --from markdown --to html \
		   --output $OUT_DIR/$FILE_NAME.html $f \
		   --metadata pagetitle=$FILE_NAME;
    # Génère le PDF
    pandoc --standalone --template $STYLES_DIR/$STYLE.tex \
           --from markdown --to context --variable papersize=A4 \
           --output $OUT_DIR/$FILE_NAME.tex $f;
    mtxrun --path=$OUT_DIR --result=$FILE_NAME.pdf --script context $FILE_NAME.tex;
done

if [ -z "$keep" ] ; then
    rm -rf $OUT_DIR/*.log $OUT_DIR/*.tex $OUT_DIR/*.tuc styles/*.pdf;
fi
